| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
<bool> Class Reference

Methods in this pseudo-class can be executed on booling-point values. More...

`#include <Pseudo_QC_Bool.dox.h>`

Inheritance diagram for Qore::<bool>:
[legend]

## Public Member Functions
bool | intp ()
| Returns True because boolean values can be converted to integers (False = 0, True = 1)
bool | strp ()
| Returns True because boolean values can be converted to strings (False = `"0"`, True = `"1"`)
int | typeCode ()
| Returns Qore::NT_BOOLEAN.
bool | val ()
| Returns itself.
Public Member Functions inherited from <value>
bool | callp ()
| Returns False; this method is reimplemented in other types and will return True if the given expression is a callable value (ie closures or call references)
bool | complexType ()
| returns True if the value has a complex type, False if not
bool | empty ()
| Returns True; this method will be reimplemented in container types where it may return False.
string | fullType (*bool with_namespaces)
| returns the full type name which differs from the simple type name in case of complex types and objects
bool | intp ()
| Returns False; this method is reimplemented in other types and will return True if the given expression can be converted to an integer.
AbstractIterator | iterator ()
| Returns an iterator object for the value; the default iterator object returned is SingleValueIterator.
int | lsize ()
| Returns 1; the return value of this method should give the list size of the value, which is normally 1 for non-lists (except for NOTHING where the size will be 0) and the number of the elements in the list for lists; this method will be reimplemented in other types where it may return other values.
int | size ()
| Returns zero; this method will be reimplemented in container types where it may return a non-zero value.
bool | sizep ()
| Returns True if the type can return a non-zero size (True for containers including binary objects and strings, False for everything else)
bool | strp ()
| Returns False; this method is reimplemented in other types and will return True if the given expression can be converted to a string.
bool | toBool ()
| Returns the boolean representation of the value; the default is False.
float | toFloat ()
| Returns the floating-point representation of the value; the default is 0.0.
int | toInt ()
| Returns the integer representation of the value; the default is 0.
number | toNumber ()
| Returns the arbitrary-precision numeric representation of the value; the default is 0.
string | toString (*string encoding)
| Returns the string representation of the value; the default is an empty string.
string | type ()
| Returns the string type for the value.
int | typeCode ()
| Returns the type code for the value.
bool | val ()
| Returns False; this method is reimplemented in other types and will return True if the given expression has a non-empty value.

## Detailed Description

Methods in this pseudo-class can be executed on booling-point values.

## Member Function Documentation

## ◆ intp()

bool <bool>::intp | ( |  | ) |

Returns True because boolean values can be converted to integers (False = 0, True = 1)

Returns
  True because boolean values can be converted to integers (False = 0, True = 1)

Code Flags:
  CONSTANT

Example:
  if (n.intp())
  printf("%y: can be converted to an integer: %d\n", n, int(n));

## ◆ strp()

bool <bool>::strp | ( |  | ) |

Returns True because boolean values can be converted to strings (False = `"0"`, True = `"1"`)

Returns
  True because boolean values can be converted to strings (False = `"0"`, True = `"1"`)

Code Flags:
  CONSTANT

Example:
  if (n.strp())
  printf("%y: can be converted to a string: '%s'\n", n, string(n));

## ◆ typeCode()

int <bool>::typeCode | ( |  | ) |

Returns Qore::NT_BOOLEAN.

Returns
  Qore::NT_BOOLEAN

Code Flags:
  CONSTANT

Example:
  switch (b.typeCode()) {
  case NT_BOOLEAN:
  printf("%y: is a bool\n", b);
  break;
  }

## ◆ val()

bool <bool>::val | ( |  | ) |

Returns itself.

Returns
  itself

Code Flags:
  CONSTANT

Example:
  bool bool = b.val();

See also
  - %perl-bool-eval
  - %strict-bool-eval